com.fasterxml.jackson.core.util

## Class DefaultPrettyPrinter.NopIndenter

- java.lang.Object
- - com.fasterxml.jackson.core.util.DefaultPrettyPrinter.NopIndenter

All Implemented Interfaces:
  DefaultPrettyPrinter.Indenter, Serializable

Direct Known Subclasses:
  DefaultPrettyPrinter.FixedSpaceIndenter, DefaultPrettyPrinter.Lf2SpacesIndenter

Enclosing class:
  DefaultPrettyPrinter

    public static class DefaultPrettyPrinter.NopIndenter
    extends Object
    implements DefaultPrettyPrinter.Indenter, Serializable

Dummy implementation that adds no indentation whatsoever

See Also:
  Serialized Form

### Field Summary

Fields
`static DefaultPrettyPrinter.NopIndenter` `instance`

### Constructor Summary

Constructors
Constructor and Description
`DefaultPrettyPrinter.NopIndenter()`

### Method Summary

Methods
`boolean` `isInline()`
`void` `writeIndentation(JsonGenerator jg, int level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final DefaultPrettyPrinter.NopIndenter instance

### Constructor Detail

#### DefaultPrettyPrinter.NopIndenter

    public DefaultPrettyPrinter.NopIndenter()

### Method Detail

#### writeIndentation

    public void writeIndentation(JsonGenerator jg,
                        int level)
                          throws IOException,
                                 JsonGenerationException

Specified by:
  `writeIndentation` in interface `DefaultPrettyPrinter.Indenter`
Throws:
  `IOException`
  `JsonGenerationException`

#### isInline

    public boolean isInline()

Specified by:
  `isInline` in interface `DefaultPrettyPrinter.Indenter`
Returns:
  True if indenter is considered inline (does not add linefeeds), false otherwise